List organization agents
curl --request GET \
--url https://julian.11x.ai/api/v1/agents \
--header 'x-api-key: <api-key>'import requests
url = "https://julian.11x.ai/api/v1/agents"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://julian.11x.ai/api/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"agents": [
{
"agentId": "agent.abc123",
"name": "Outbound SDR",
"status": "ACTIVE"
}
],
"pagination": {
"page": 2,
"pageSize": 100,
"totalItems": 1,
"totalPages": 1,
"hasMore": true
}
}Agents
List organization agents
Returns active, paused, and archived agents belonging to an organization in fixed pages of up to 100 agents. The required orgId is the Stytch organization ID and must match the organization associated with the API key.
GET
/
agents
List organization agents
curl --request GET \
--url https://julian.11x.ai/api/v1/agents \
--header 'x-api-key: <api-key>'import requests
url = "https://julian.11x.ai/api/v1/agents"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://julian.11x.ai/api/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"agents": [
{
"agentId": "agent.abc123",
"name": "Outbound SDR",
"status": "ACTIVE"
}
],
"pagination": {
"page": 2,
"pageSize": 100,
"totalItems": 1,
"totalPages": 1,
"hasMore": true
}
}Authorizations
Organization API key. Get it from the 11x team or from the platform.
Query Parameters
Stytch organization ID associated with the API key.
Minimum string length:
1Example:
"organization-test-123"
One-based page number. Defaults to the first page.
Required range:
x >= 1